Bug 150733 - Update port: sysutils/lxtask version bump (broken)
Summary: Update port: sysutils/lxtask version bump (broken)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-19 19:30 UTC by Davide ITaliano
Modified: 2010-10-02 12:24 UTC (History)
0 users

See Also:


Attachments
file.txt (179 bytes, text/plain)
2010-09-19 19:30 UTC, Davide ITaliano
no flags Details
report.txt (8.62 KB, text/plain; charset=US-ASCII)
2010-09-21 23:10 UTC, Davide ITaliano
no flags Details
lxtask_patch.patch (1.23 KB, patch)
2010-09-27 23:30 UTC, Davide ITaliano
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Davide ITaliano 2010-09-19 19:30:02 UTC
I've been trying to update this package. But the way it works is linux-specific, it uses /proc and others linux-only facilities. I've been contacted upstream to get other informations, but no answer until now.
I'm trying to fix this package, but until that moment, I suggest to mark it as BROKEN. Also, I'd like to take mantainership to take care of it in future

Fix: Patch attached with submission follows:
Comment 1 Davide ITaliano 2010-09-19 20:40:07 UTC
damn ,sorry, wrong patch, here's the right one

diff -ur lxtask-old/Makefile lxtask/Makefile
--- lxtask-old/Makefile 2010-09-17 17:46:13.000000000 +0200
+++ lxtask/Makefile     2010-09-19 18:20:49.000000000 +0200
@@ -6,12 +6,12 @@
 #

 PORTNAME=      lxtask
-PORTVERSION=   0.1
+PORTVERSION=   0.1.3
 PORTREVISION=  4
 CATEGORIES=    sysutils gnome
 MASTER_SITES=  SF/lxde/LXTask%20%28task%20manager%29/LXTask%20${PORTVERSION}

-MAINTAINER=    ports@FreeBSD.org
+MAINTAINER=    davide.italiano@gmail.com
 COMMENT=       A lightweight desktop-independent task manager

 USE_GNOME=     gtk20 intlhack
@@ -20,6 +20,8 @@
 GNU_CONFIGURE= yes
 USE_LDCONFIG=  yes

+BROKEN=                The implementation of this software is
Linux-specific. We\'re working on alternative solutions.
+
 .if !defined(WITHOUT_NLS)
 USE_GETTEXT=   yes
 PLIST_SUB+=    NLS=""
diff -ur lxtask-old/distinfo lxtask/distinfo
--- lxtask-old/distinfo 2010-09-17 17:46:13.000000000 +0200
+++ lxtask/distinfo     2010-09-17 17:47:14.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (lxtask-0.1.tar.gz) = e69b31ea8169bcf1d9b0c40c06a6e782
-SHA256 (lxtask-0.1.tar.gz) =
fff1303410c023a99cc8b292d27449d91268c72b862699ba930c9ed0f23e4767
-SIZE (lxtask-0.1.tar.gz) = 235606
+MD5 (lxtask-0.1.3.tar.gz) = eccfb69ee1a209248b22a5f0a34a4734
+SHA256 (lxtask-0.1.3.tar.gz) =
6d15c7711689aaf81b90815241021e8b9950f76c316c61677bca3f8d2b929844
+SIZE (lxtask-0.1.3.tar.gz) = 223543
Only in lxtask: files
Only in lxtask: lxtask.core
diff -ur lxtask-old/pkg-plist lxtask/pkg-plist
--- lxtask-old/pkg-plist        2010-09-17 17:46:13.000000000 +0200
+++ lxtask/pkg-plist    2010-09-17 19:21:02.000000000 +0200
@@ -2,19 +2,15 @@
 %%NLS%%share/locale/cs/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/de/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/el/LC_MESSAGES/lxtask.mo
-%%NLS%%share/locale/en_GB/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/eu/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/hu/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/lxtask.mo
-%%NLS%%share/locale/lv/LC_MESSAGES/lxtask.mo
-%%NLS%%share/locale/nb_NO/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/lxtask.mo
-%%NLS%%share/locale/pt_PT/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/ur/LC_MESSAGES/lxtask.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/lxtask.mo
Only in lxtask-old/work: .PLIST.flattened
Only in lxtask-old/work: .PLIST.mktmp
Only in lxtask-old/work: .PLIST.objdump
Only in lxtask-old/work: .PLIST.setuid
Only in lxtask-old/work: .PLIST.writable
Only in lxtask-old/work: .build_done.lxtask._usr_local
Only in lxtask-old/work: .install_done.lxtask._usr_local
Only in lxtask-old/work: lxtask-0.1
Only in lxtask/work: lxtask-0.1.3
Comment 2 Davide ITaliano 2010-09-21 23:10:29 UTC
I fixed it =)
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-23 18:59:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it
Comment 4 Philip M. Gollucci freebsd_committer 2010-09-24 07:24:54 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

going to have enotime for the next 2 weeks, sorry
Comment 5 Max Brazhnikov freebsd_committer 2010-09-24 21:22:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

Take.
Comment 6 Max Brazhnikov freebsd_committer 2010-09-25 23:56:40 UTC
State Changed
From-To: open->feedback

Fails on tinderbox http://people.freebsd.org/~makc/tb/lxtask-0.1.3.log.
Comment 7 Davide ITaliano 2010-09-27 23:30:26 UTC
here's a patch that should solve.
Comment 8 Max Brazhnikov freebsd_committer 2010-10-02 11:58:28 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 9 dfilter service freebsd_committer 2010-10-02 12:19:34 UTC
makc        2010-10-02 11:19:30 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/lxtask      Makefile distinfo pkg-plist 
  Added files:
    sysutils/lxtask      pkg-message 
    sysutils/lxtask/files patch-src__main.c patch-src__types.h 
                          patch-src__xfce-taskmanager-linux.c 
  Log:
  Update to 0.1.3 and unbreak
  Pass maintainership to submitter
  
  PR:             ports/150733
  Submitted by:   Davide Italiano <davide.italiano at gmail.com>
  
  Revision  Changes    Path
  1.9       +5 -3      ports/sysutils/lxtask/Makefile
  1.2       +3 -3      ports/sysutils/lxtask/distinfo
  1.1       +18 -0     ports/sysutils/lxtask/files/patch-src__main.c (new)
  1.1       +9 -0      ports/sysutils/lxtask/files/patch-src__types.h (new)
  1.1       +87 -0     ports/sysutils/lxtask/files/patch-src__xfce-taskmanager-linux.c (new)
  1.1       +4 -0      ports/sysutils/lxtask/pkg-message (new)
  1.2       +39 -6     ports/sysutils/lxtask/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Max Brazhnikov freebsd_committer 2010-10-02 12:24:21 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!